package jp.ac.kyutech.mns.ist;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class SimpleATN_LayoutAction implements ActionListener {

	SimpleATN satn;
	public SimpleATN_LayoutAction(SimpleATN _satn){
		satn = _satn;
	}
	public void actionPerformed(ActionEvent arg0) {
		satn.relayout(1000, "SATN_LayoutAction");
		satn.zoomToBounds(satn.tempAfterLayoutBounds, 1000,"SimpleATN_LayoutAction");
//		Thread t = new Thread(satn);
//		t.start();
	}
}
